* [igt-dev] [PATCH i-g-t] scripts/verify-blacklist: Handle multiple given blacklists
@ 2023-04-18 19:06 Kamil Konieczny
2023-04-18 21:22 ` [igt-dev] ✓ Fi.CI.BAT: success for " Patchwork
` (2 more replies)
0 siblings, 3 replies; 4+ messages in thread
From: Kamil Konieczny @ 2023-04-18 19:06 UTC (permalink / raw)
To: igt-dev; +Cc: Petri Latvala
From: Petri Latvala <petri.latvala@intel.com>
Also change the message for useless entry to not say blacklist; this
script is incidentally useful for checking testlist files too.
Cc: Petri Latvala <adrinael@adrinael.net>
Cc: Mauro Carvalho Chehab <mauro.chehab@linux.intel.com>
Signed-off-by: Petri Latvala <petri.latvala@intel.com>
Signed-off-by: Kamil Konieczny <kamil.konieczny@linux.intel.com>
---
scripts/verify-blacklist.sh | 40 +++++++++++++++++++++----------------
1 file changed, 23 insertions(+), 17 deletions(-)
diff --git a/scripts/verify-blacklist.sh b/scripts/verify-blacklist.sh
index 93dca495b..05383f13f 100755
--- a/scripts/verify-blacklist.sh
+++ b/scripts/verify-blacklist.sh
@@ -3,21 +3,23 @@
# Verify that all entries in a blacklist file are still valid
usage() {
- echo "Usage: $0 <path-to-igt-runner> <test-binary-directory> <blacklist-file>"
+ echo "Usage: $0 <path-to-igt-runner> <test-binary-directory> <blacklist-files ...>"
echo
echo " path-to-igt-runner: For example build/runner/igt_runner"
echo " test-binary-directory: For example build/tests"
- echo " blacklist-file: For example tests/intel-ci/blacklist.txt"
+ echo " blacklist-files: For example tests/intel-ci/blacklist.txt"
exit 2
}
-if [ $# -ne 3 ]; then
+if [ $# -lt 3 ]; then
usage
fi
RUNNER="$1"
-BINDIR="$2"
-BLFILE="$3"
+shift
+BINDIR="$1"
+shift
+BLFILES="$*"
if [ ! -x "$RUNNER" ]; then
echo "$RUNNER not found"
@@ -31,24 +33,28 @@ if [ ! -f "$BINDIR/test-list.txt" ]; then
usage
fi
-if [ ! -f "$BLFILE" ]; then
- echo "$BLFILE not found"
- echo
- usage
-fi
+for BLFILE in $BLFILES; do
+ if [ ! -f "$BLFILE" ]; then
+ echo "$BLFILE not found"
+ echo
+ usage
+ fi
+done
STATUS=0
TESTLIST="$("$RUNNER" --list-all "$BINDIR")"
-cat "$BLFILE" | while read line; do
- blentry=$(echo "$line" | sed 's/#.*//' | tr -d '[:space:]')
- if [ "$blentry" = "" ]; then continue; fi
+for BLFILE in $BLFILES; do
+ cat "$BLFILE" | while read line; do
+ blentry=$(echo "$line" | sed 's/#.*//' | tr -d '[:space:]')
+ if [ "$blentry" = "" ]; then continue; fi
- if ! (echo "$TESTLIST" | grep -Pq "$blentry") >/dev/null 2>/dev/null; then
- echo Useless blacklist entry: "$blentry"
- STATUS=1
- fi
+ if ! (echo "$TESTLIST" | grep -Pq "$blentry") >/dev/null 2>/dev/null; then
+ echo "$BLFILE: Useless entry: $blentry"
+ STATUS=1
+ fi
+ done
done
exit $STATUS
--
2.37.2
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [igt-dev] ✓ Fi.CI.BAT: success for scripts/verify-blacklist: Handle multiple given blacklists
2023-04-18 19:06 [igt-dev] [PATCH i-g-t] scripts/verify-blacklist: Handle multiple given blacklists Kamil Konieczny
@ 2023-04-18 21:22 ` Patchwork
2023-04-19 2:27 ` [igt-dev] ✓ Fi.CI.IGT: " Patchwork
2023-04-19 6:20 ` [igt-dev] [PATCH i-g-t] " Mauro Carvalho Chehab
2 siblings, 0 replies; 4+ messages in thread
From: Patchwork @ 2023-04-18 21:22 UTC (permalink / raw)
To: Kamil Konieczny; +Cc: igt-dev
[-- Attachment #1: Type: text/plain, Size: 6492 bytes --]
== Series Details ==
Series: scripts/verify-blacklist: Handle multiple given blacklists
URL : https://patchwork.freedesktop.org/series/116667/
State : success
== Summary ==
CI Bug Log - changes from CI_DRM_13027 -> IGTPW_8819
====================================================
Summary
-------
**SUCCESS**
No regressions found.
External URL: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/index.html
Participating hosts (37 -> 37)
------------------------------
Additional (1): fi-kbl-soraka
Missing (1): fi-snb-2520m
Known issues
------------
Here are the changes found in IGTPW_8819 that come from known issues:
### IGT changes ###
#### Issues hit ####
* igt@gem_huc_copy@huc-copy:
- fi-kbl-soraka: NOTRUN -> [SKIP][1] ([fdo#109271] / [i915#2190])
[1]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/fi-kbl-soraka/igt@gem_huc_copy@huc-copy.html
* igt@gem_lmem_swapping@basic:
- fi-kbl-soraka: NOTRUN -> [SKIP][2] ([fdo#109271] / [i915#4613]) +3 similar issues
[2]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/fi-kbl-soraka/igt@gem_lmem_swapping@basic.html
* igt@i915_selftest@live@gt_heartbeat:
- fi-kbl-soraka: NOTRUN -> [DMESG-FAIL][3] ([i915#5334] / [i915#7872])
[3]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/fi-kbl-soraka/igt@i915_selftest@live@gt_heartbeat.html
- fi-glk-j4005: [PASS][4] -> [DMESG-FAIL][5] ([i915#5334])
[4]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_13027/fi-glk-j4005/igt@i915_selftest@live@gt_heartbeat.html
[5]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/fi-glk-j4005/igt@i915_selftest@live@gt_heartbeat.html
* igt@i915_selftest@live@gt_pm:
- fi-kbl-soraka: NOTRUN -> [DMESG-FAIL][6] ([i915#1886])
[6]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/fi-kbl-soraka/igt@i915_selftest@live@gt_pm.html
* igt@i915_selftest@live@reset:
- bat-rpls-1: NOTRUN -> [ABORT][7] ([i915#4983])
[7]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/bat-rpls-1/igt@i915_selftest@live@reset.html
* igt@kms_chamelium_frames@hdmi-crc-fast:
- fi-kbl-soraka: NOTRUN -> [SKIP][8] ([fdo#109271]) +16 similar issues
[8]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/fi-kbl-soraka/igt@kms_chamelium_frames@hdmi-crc-fast.html
* igt@kms_chamelium_hpd@common-hpd-after-suspend:
- fi-glk-j4005: NOTRUN -> [SKIP][9] ([fdo#109271])
[9]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/fi-glk-j4005/igt@kms_chamelium_hpd@common-hpd-after-suspend.html
* igt@kms_pipe_crc_basic@nonblocking-crc-frame-sequence:
- bat-dg2-11: NOTRUN -> [SKIP][10] ([i915#5354])
[10]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/bat-dg2-11/igt@kms_pipe_crc_basic@nonblocking-crc-frame-sequence.html
* igt@kms_pipe_crc_basic@read-crc:
- bat-adlp-9: NOTRUN -> [SKIP][11] ([i915#3546]) +1 similar issue
[11]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/bat-adlp-9/igt@kms_pipe_crc_basic@read-crc.html
#### Possible fixes ####
* igt@dmabuf@all-tests@dma_fence:
- fi-glk-j4005: [ABORT][12] -> [PASS][13]
[12]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_13027/fi-glk-j4005/igt@dmabuf@all-tests@dma_fence.html
[13]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/fi-glk-j4005/igt@dmabuf@all-tests@dma_fence.html
* igt@dmabuf@all-tests@dma_fence_chain:
- fi-glk-j4005: [DMESG-FAIL][14] -> [PASS][15]
[14]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_13027/fi-glk-j4005/igt@dmabuf@all-tests@dma_fence_chain.html
[15]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/fi-glk-j4005/igt@dmabuf@all-tests@dma_fence_chain.html
* igt@i915_selftest@live@requests:
- bat-rpls-1: [ABORT][16] ([i915#7911] / [i915#7982]) -> [PASS][17]
[16]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_13027/bat-rpls-1/igt@i915_selftest@live@requests.html
[17]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/bat-rpls-1/igt@i915_selftest@live@requests.html
* igt@kms_pipe_crc_basic@nonblocking-crc-frame-sequence@pipe-c-dp-1:
- bat-dg2-8: [FAIL][18] ([i915#7932]) -> [PASS][19]
[18]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_13027/bat-dg2-8/igt@kms_pipe_crc_basic@nonblocking-crc-frame-sequence@pipe-c-dp-1.html
[19]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/bat-dg2-8/igt@kms_pipe_crc_basic@nonblocking-crc-frame-sequence@pipe-c-dp-1.html
[fdo#109271]: https://bugs.freedesktop.org/show_bug.cgi?id=109271
[i915#1886]: https://gitlab.freedesktop.org/drm/intel/issues/1886
[i915#2190]: https://gitlab.freedesktop.org/drm/intel/issues/2190
[i915#3546]: https://gitlab.freedesktop.org/drm/intel/issues/3546
[i915#4613]: https://gitlab.freedesktop.org/drm/intel/issues/4613
[i915#4983]: https://gitlab.freedesktop.org/drm/intel/issues/4983
[i915#5334]: https://gitlab.freedesktop.org/drm/intel/issues/5334
[i915#5354]: https://gitlab.freedesktop.org/drm/intel/issues/5354
[i915#7872]: https://gitlab.freedesktop.org/drm/intel/issues/7872
[i915#7911]: https://gitlab.freedesktop.org/drm/intel/issues/7911
[i915#7932]: https://gitlab.freedesktop.org/drm/intel/issues/7932
[i915#7982]: https://gitlab.freedesktop.org/drm/intel/issues/7982
Build changes
-------------
* CI: CI-20190529 -> None
* IGT: IGT_7259 -> IGTPW_8819
CI-20190529: 20190529
CI_DRM_13027: 9e1eb302fc69b5d8dc662f1ce7ed8684e87c5751 @ git://anongit.freedesktop.org/gfx-ci/linux
IGTPW_8819: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/index.html
IGT_7259: 3d3a7f1c041d3f8d84d7457abf96adef0ea071cb @ https://gitlab.freedesktop.org/drm/igt-gpu-tools.git
Testlist changes
----------------
+igt@kms_plane_scaling@i915-max-src-size
-igt@kms_plane_scaling@intel-max-src-size
-igt@xe_gpgpu_fill@basic
-igt@xe_intel_bb@add-remove-objects
-igt@xe_intel_bb@bb-with-allocator
-igt@xe_intel_bb@blit-reloc
-igt@xe_intel_bb@blit-simple
-igt@xe_intel_bb@create-in-region
-igt@xe_intel_bb@delta-check
-igt@xe_intel_bb@destroy-bb
-igt@xe_intel_bb@full-batch
-igt@xe_intel_bb@intel-bb-blit-none
-igt@xe_intel_bb@intel-bb-blit-x
-igt@xe_intel_bb@intel-bb-blit-y
-igt@xe_intel_bb@lot-of-buffers
-igt@xe_intel_bb@offset-control
-igt@xe_intel_bb@purge-bb
-igt@xe_intel_bb@render
-igt@xe_intel_bb@reset-bb
-igt@xe_intel_bb@simple-bb
-igt@xe_intel_bb@simple-bb-ctx
== Logs ==
For more details see: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/index.html
[-- Attachment #2: Type: text/html, Size: 7819 bytes --]
^ permalink raw reply [flat|nested] 4+ messages in thread
* [igt-dev] ✓ Fi.CI.IGT: success for scripts/verify-blacklist: Handle multiple given blacklists
2023-04-18 19:06 [igt-dev] [PATCH i-g-t] scripts/verify-blacklist: Handle multiple given blacklists Kamil Konieczny
2023-04-18 21:22 ` [igt-dev] ✓ Fi.CI.BAT: success for " Patchwork
@ 2023-04-19 2:27 ` Patchwork
2023-04-19 6:20 ` [igt-dev] [PATCH i-g-t] " Mauro Carvalho Chehab
2 siblings, 0 replies; 4+ messages in thread
From: Patchwork @ 2023-04-19 2:27 UTC (permalink / raw)
To: Kamil Konieczny; +Cc: igt-dev
[-- Attachment #1: Type: text/plain, Size: 16869 bytes --]
== Series Details ==
Series: scripts/verify-blacklist: Handle multiple given blacklists
URL : https://patchwork.freedesktop.org/series/116667/
State : success
== Summary ==
CI Bug Log - changes from CI_DRM_13027_full -> IGTPW_8819_full
====================================================
Summary
-------
**SUCCESS**
No regressions found.
External URL: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/index.html
Participating hosts (8 -> 8)
------------------------------
No changes in participating hosts
Possible new issues
-------------------
Here are the unknown changes that may have been introduced in IGTPW_8819_full:
### IGT changes ###
#### Suppressed ####
The following results come from untrusted machines, tests, or statuses.
They do not affect the overall result.
* igt@kms_vblank@pipe-g-query-busy:
- {shard-tglu}: NOTRUN -> [SKIP][1] +7 similar issues
[1]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/shard-tglu-5/igt@kms_vblank@pipe-g-query-busy.html
* igt@kms_vblank@pipe-h-ts-continuation-dpms-suspend:
- {shard-dg1}: NOTRUN -> [SKIP][2] +50 similar issues
[2]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/shard-dg1-18/igt@kms_vblank@pipe-h-ts-continuation-dpms-suspend.html
* {igt@vmwgfx/vmw_ref_count@surface_prime_transfer_single_surface_multiple_handle}:
- {shard-rkl}: NOTRUN -> [SKIP][3]
[3]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/shard-rkl-4/igt@vmwgfx/vmw_ref_count@surface_prime_transfer_single_surface_multiple_handle.html
Known issues
------------
Here are the changes found in IGTPW_8819_full that come from known issues:
### IGT changes ###
#### Issues hit ####
* igt@gem_exec_fair@basic-none-share@rcs0:
- shard-glk: [PASS][4] -> [FAIL][5] ([i915#2842])
[4]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_13027/shard-glk5/igt@gem_exec_fair@basic-none-share@rcs0.html
[5]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/shard-glk6/igt@gem_exec_fair@basic-none-share@rcs0.html
* igt@gem_exec_fair@basic-pace-solo@rcs0:
- shard-apl: [PASS][6] -> [FAIL][7] ([i915#2842])
[6]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_13027/shard-apl3/igt@gem_exec_fair@basic-pace-solo@rcs0.html
[7]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/shard-apl3/igt@gem_exec_fair@basic-pace-solo@rcs0.html
* igt@gem_spin_batch@legacy@default:
- shard-apl: [PASS][8] -> [FAIL][9] ([i915#2898])
[8]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_13027/shard-apl1/igt@gem_spin_batch@legacy@default.html
[9]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/shard-apl2/igt@gem_spin_batch@legacy@default.html
* igt@i915_pm_rps@reset:
- shard-snb: [PASS][10] -> [INCOMPLETE][11] ([i915#7790])
[10]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_13027/shard-snb1/igt@i915_pm_rps@reset.html
[11]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/shard-snb2/igt@i915_pm_rps@reset.html
* igt@i915_selftest@live@gt_heartbeat:
- shard-apl: [PASS][12] -> [DMESG-FAIL][13] ([i915#5334])
[12]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_13027/shard-apl4/igt@i915_selftest@live@gt_heartbeat.html
[13]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/shard-apl3/igt@i915_selftest@live@gt_heartbeat.html
* igt@kms_fbcon_fbt@fbc-suspend:
- shard-glk: NOTRUN -> [FAIL][14] ([i915#4767])
[14]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/shard-glk5/igt@kms_fbcon_fbt@fbc-suspend.html
* igt@kms_flip@2x-plain-flip-fb-recreate:
- shard-apl: NOTRUN -> [SKIP][15] ([fdo#109271]) +11 similar issues
[15]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/shard-apl1/igt@kms_flip@2x-plain-flip-fb-recreate.html
* igt@kms_plane_scaling@planes-downscale-factor-0-5-unity-scaling@pipe-b-vga-1:
- shard-snb: NOTRUN -> [SKIP][16] ([fdo#109271]) +33 similar issues
[16]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/shard-snb6/igt@kms_plane_scaling@planes-downscale-factor-0-5-unity-scaling@pipe-b-vga-1.html
* igt@kms_setmode@basic@pipe-a-hdmi-a-1:
- shard-snb: NOTRUN -> [FAIL][17] ([i915#5465]) +1 similar issue
[17]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/shard-snb1/igt@kms_setmode@basic@pipe-a-hdmi-a-1.html
* igt@kms_vblank@pipe-g-query-forked:
- shard-glk: NOTRUN -> [SKIP][18] ([fdo#109271]) +14 similar issues
[18]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/shard-glk8/igt@kms_vblank@pipe-g-query-forked.html
#### Possible fixes ####
* igt@drm_fdinfo@most-busy-check-all@rcs0:
- {shard-rkl}: [FAIL][19] ([i915#7742]) -> [PASS][20]
[19]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_13027/shard-rkl-2/igt@drm_fdinfo@most-busy-check-all@rcs0.html
[20]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/shard-rkl-1/igt@drm_fdinfo@most-busy-check-all@rcs0.html
* igt@gem_exec_fair@basic-pace-solo@rcs0:
- {shard-rkl}: [FAIL][21] ([i915#2842]) -> [PASS][22] +1 similar issue
[21]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_13027/shard-rkl-2/igt@gem_exec_fair@basic-pace-solo@rcs0.html
[22]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/shard-rkl-1/igt@gem_exec_fair@basic-pace-solo@rcs0.html
* igt@gem_exec_fair@basic-pace@vcs0:
- shard-glk: [FAIL][23] ([i915#2842]) -> [PASS][24] +2 similar issues
[23]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_13027/shard-glk9/igt@gem_exec_fair@basic-pace@vcs0.html
[24]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/shard-glk2/igt@gem_exec_fair@basic-pace@vcs0.html
* igt@gen9_exec_parse@allowed-single:
- shard-glk: [ABORT][25] ([i915#5566]) -> [PASS][26]
[25]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_13027/shard-glk5/igt@gen9_exec_parse@allowed-single.html
[26]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/shard-glk4/igt@gen9_exec_parse@allowed-single.html
* igt@i915_pm_rpm@dpms-mode-unset-lpsp:
- {shard-dg1}: [SKIP][27] ([i915#1397]) -> [PASS][28] +1 similar issue
[27]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_13027/shard-dg1-18/igt@i915_pm_rpm@dpms-mode-unset-lpsp.html
[28]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/shard-dg1-14/igt@i915_pm_rpm@dpms-mode-unset-lpsp.html
* igt@i915_pm_rpm@dpms-non-lpsp:
- {shard-rkl}: [SKIP][29] ([i915#1397]) -> [PASS][30]
[29]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_13027/shard-rkl-7/igt@i915_pm_rpm@dpms-non-lpsp.html
[30]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/shard-rkl-1/igt@i915_pm_rpm@dpms-non-lpsp.html
* igt@i915_suspend@forcewake:
- shard-apl: [ABORT][31] ([i915#180]) -> [PASS][32]
[31]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_13027/shard-apl6/igt@i915_suspend@forcewake.html
[32]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/shard-apl1/igt@i915_suspend@forcewake.html
* igt@kms_cursor_legacy@flip-vs-cursor-atomic-transitions-varying-size:
- shard-apl: [FAIL][33] ([i915#2346]) -> [PASS][34]
[33]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_13027/shard-apl4/igt@kms_cursor_legacy@flip-vs-cursor-atomic-transitions-varying-size.html
[34]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/shard-apl3/igt@kms_cursor_legacy@flip-vs-cursor-atomic-transitions-varying-size.html
* igt@kms_cursor_legacy@forked-bo@pipe-b:
- {shard-rkl}: [INCOMPLETE][35] ([i915#8011]) -> [PASS][36]
[35]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_13027/shard-rkl-7/igt@kms_cursor_legacy@forked-bo@pipe-b.html
[36]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/shard-rkl-2/igt@kms_cursor_legacy@forked-bo@pipe-b.html
- {shard-dg1}: [INCOMPLETE][37] ([i915#8011] / [i915#8347]) -> [PASS][38]
[37]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_13027/shard-dg1-14/igt@kms_cursor_legacy@forked-bo@pipe-b.html
[38]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/shard-dg1-15/igt@kms_cursor_legacy@forked-bo@pipe-b.html
* igt@perf_pmu@idle@rcs0:
- {shard-rkl}: [FAIL][39] ([i915#4349]) -> [PASS][40]
[39]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_13027/shard-rkl-7/igt@perf_pmu@idle@rcs0.html
[40]: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/shard-rkl-6/igt@perf_pmu@idle@rcs0.html
{name}: This element is suppressed. This means it is ignored when computing
the status of the difference (SUCCESS, WARNING, or FAILURE).
[fdo#109271]: https://bugs.freedesktop.org/show_bug.cgi?id=109271
[fdo#109274]: https://bugs.freedesktop.org/show_bug.cgi?id=109274
[fdo#109280]: https://bugs.freedesktop.org/show_bug.cgi?id=109280
[fdo#109285]: https://bugs.freedesktop.org/show_bug.cgi?id=109285
[fdo#109289]: https://bugs.freedesktop.org/show_bug.cgi?id=109289
[fdo#109291]: https://bugs.freedesktop.org/show_bug.cgi?id=109291
[fdo#109295]: https://bugs.freedesktop.org/show_bug.cgi?id=109295
[fdo#109313]: https://bugs.freedesktop.org/show_bug.cgi?id=109313
[fdo#109315]: https://bugs.freedesktop.org/show_bug.cgi?id=109315
[fdo#109506]: https://bugs.freedesktop.org/show_bug.cgi?id=109506
[fdo#110189]: https://bugs.freedesktop.org/show_bug.cgi?id=110189
[fdo#110723]: https://bugs.freedesktop.org/show_bug.cgi?id=110723
[fdo#111068]: https://bugs.freedesktop.org/show_bug.cgi?id=111068
[fdo#111614]: https://bugs.freedesktop.org/show_bug.cgi?id=111614
[fdo#111615]: https://bugs.freedesktop.org/show_bug.cgi?id=111615
[fdo#111825]: https://bugs.freedesktop.org/show_bug.cgi?id=111825
[fdo#111827]: https://bugs.freedesktop.org/show_bug.cgi?id=111827
[fdo#112283]: https://bugs.freedesktop.org/show_bug.cgi?id=112283
[i915#1072]: https://gitlab.freedesktop.org/drm/intel/issues/1072
[i915#1397]: https://gitlab.freedesktop.org/drm/intel/issues/1397
[i915#180]: https://gitlab.freedesktop.org/drm/intel/issues/180
[i915#1825]: https://gitlab.freedesktop.org/drm/intel/issues/1825
[i915#1839]: https://gitlab.freedesktop.org/drm/intel/issues/1839
[i915#2346]: https://gitlab.freedesktop.org/drm/intel/issues/2346
[i915#2433]: https://gitlab.freedesktop.org/drm/intel/issues/2433
[i915#2437]: https://gitlab.freedesktop.org/drm/intel/issues/2437
[i915#2527]: https://gitlab.freedesktop.org/drm/intel/issues/2527
[i915#2575]: https://gitlab.freedesktop.org/drm/intel/issues/2575
[i915#2587]: https://gitlab.freedesktop.org/drm/intel/issues/2587
[i915#2672]: https://gitlab.freedesktop.org/drm/intel/issues/2672
[i915#280]: https://gitlab.freedesktop.org/drm/intel/issues/280
[i915#2842]: https://gitlab.freedesktop.org/drm/intel/issues/2842
[i915#2856]: https://gitlab.freedesktop.org/drm/intel/issues/2856
[i915#2898]: https://gitlab.freedesktop.org/drm/intel/issues/2898
[i915#3023]: https://gitlab.freedesktop.org/drm/intel/issues/3023
[i915#3116]: https://gitlab.freedesktop.org/drm/intel/issues/3116
[i915#3281]: https://gitlab.freedesktop.org/drm/intel/issues/3281
[i915#3282]: https://gitlab.freedesktop.org/drm/intel/issues/3282
[i915#3297]: https://gitlab.freedesktop.org/drm/intel/issues/3297
[i915#3299]: https://gitlab.freedesktop.org/drm/intel/issues/3299
[i915#3323]: https://gitlab.freedesktop.org/drm/intel/issues/3323
[i915#3359]: https://gitlab.freedesktop.org/drm/intel/issues/3359
[i915#3458]: https://gitlab.freedesktop.org/drm/intel/issues/3458
[i915#3539]: https://gitlab.freedesktop.org/drm/intel/issues/3539
[i915#3555]: https://gitlab.freedesktop.org/drm/intel/issues/3555
[i915#3637]: https://gitlab.freedesktop.org/drm/intel/issues/3637
[i915#3638]: https://gitlab.freedesktop.org/drm/intel/issues/3638
[i915#3689]: https://gitlab.freedesktop.org/drm/intel/issues/3689
[i915#3708]: https://gitlab.freedesktop.org/drm/intel/issues/3708
[i915#3734]: https://gitlab.freedesktop.org/drm/intel/issues/3734
[i915#3742]: https://gitlab.freedesktop.org/drm/intel/issues/3742
[i915#3840]: https://gitlab.freedesktop.org/drm/intel/issues/3840
[i915#3886]: https://gitlab.freedesktop.org/drm/intel/issues/3886
[i915#3952]: https://gitlab.freedesktop.org/drm/intel/issues/3952
[i915#3955]: https://gitlab.freedesktop.org/drm/intel/issues/3955
[i915#4070]: https://gitlab.freedesktop.org/drm/intel/issues/4070
[i915#4077]: https://gitlab.freedesktop.org/drm/intel/issues/4077
[i915#4078]: https://gitlab.freedesktop.org/drm/intel/issues/4078
[i915#4079]: https://gitlab.freedesktop.org/drm/intel/issues/4079
[i915#4083]: https://gitlab.freedesktop.org/drm/intel/issues/4083
[i915#4212]: https://gitlab.freedesktop.org/drm/intel/issues/4212
[i915#426]: https://gitlab.freedesktop.org/drm/intel/issues/426
[i915#4270]: https://gitlab.freedesktop.org/drm/intel/issues/4270
[i915#4349]: https://gitlab.freedesktop.org/drm/intel/issues/4349
[i915#4525]: https://gitlab.freedesktop.org/drm/intel/issues/4525
[i915#4538]: https://gitlab.freedesktop.org/drm/intel/issues/4538
[i915#4565]: https://gitlab.freedesktop.org/drm/intel/issues/4565
[i915#4579]: https://gitlab.freedesktop.org/drm/intel/issues/4579
[i915#4613]: https://gitlab.freedesktop.org/drm/intel/issues/4613
[i915#4767]: https://gitlab.freedesktop.org/drm/intel/issues/4767
[i915#4771]: https://gitlab.freedesktop.org/drm/intel/issues/4771
[i915#4812]: https://gitlab.freedesktop.org/drm/intel/issues/4812
[i915#4816]: https://gitlab.freedesktop.org/drm/intel/issues/4816
[i915#4833]: https://gitlab.freedesktop.org/drm/intel/issues/4833
[i915#4852]: https://gitlab.freedesktop.org/drm/intel/issues/4852
[i915#4859]: https://gitlab.freedesktop.org/drm/intel/issues/4859
[i915#4860]: https://gitlab.freedesktop.org/drm/intel/issues/4860
[i915#4958]: https://gitlab.freedesktop.org/drm/intel/issues/4958
[i915#5176]: https://gitlab.freedesktop.org/drm/intel/issues/5176
[i915#5235]: https://gitlab.freedesktop.org/drm/intel/issues/5235
[i915#5286]: https://gitlab.freedesktop.org/drm/intel/issues/5286
[i915#5289]: https://gitlab.freedesktop.org/drm/intel/issues/5289
[i915#5325]: https://gitlab.freedesktop.org/drm/intel/issues/5325
[i915#533]: https://gitlab.freedesktop.org/drm/intel/issues/533
[i915#5334]: https://gitlab.freedesktop.org/drm/intel/issues/5334
[i915#5354]: https://gitlab.freedesktop.org/drm/intel/issues/5354
[i915#5431]: https://gitlab.freedesktop.org/drm/intel/issues/5431
[i915#5465]: https://gitlab.freedesktop.org/drm/intel/issues/5465
[i915#5563]: https://gitlab.freedesktop.org/drm/intel/issues/5563
[i915#5566]: https://gitlab.freedesktop.org/drm/intel/issues/5566
[i915#5784]: https://gitlab.freedesktop.org/drm/intel/issues/5784
[i915#6095]: https://gitlab.freedesktop.org/drm/intel/issues/6095
[i915#6301]: https://gitlab.freedesktop.org/drm/intel/issues/6301
[i915#6335]: https://gitlab.freedesktop.org/drm/intel/issues/6335
[i915#6433]: https://gitlab.freedesktop.org/drm/intel/issues/6433
[i915#658]: https://gitlab.freedesktop.org/drm/intel/issues/658
[i915#6768]: https://gitlab.freedesktop.org/drm/intel/issues/6768
[i915#6946]: https://gitlab.freedesktop.org/drm/intel/issues/6946
[i915#6953]: https://gitlab.freedesktop.org/drm/intel/issues/6953
[i915#7116]: https://gitlab.freedesktop.org/drm/intel/issues/7116
[i915#7118]: https://gitlab.freedesktop.org/drm/intel/issues/7118
[i915#7561]: https://gitlab.freedesktop.org/drm/intel/issues/7561
[i915#7711]: https://gitlab.freedesktop.org/drm/intel/issues/7711
[i915#7742]: https://gitlab.freedesktop.org/drm/intel/issues/7742
[i915#7790]: https://gitlab.freedesktop.org/drm/intel/issues/7790
[i915#7828]: https://gitlab.freedesktop.org/drm/intel/issues/7828
[i915#7975]: https://gitlab.freedesktop.org/drm/intel/issues/7975
[i915#8011]: https://gitlab.freedesktop.org/drm/intel/issues/8011
[i915#8213]: https://gitlab.freedesktop.org/drm/intel/issues/8213
[i915#8228]: https://gitlab.freedesktop.org/drm/intel/issues/8228
[i915#8234]: https://gitlab.freedesktop.org/drm/intel/issues/8234
[i915#8247]: https://gitlab.freedesktop.org/drm/intel/issues/8247
[i915#8347]: https://gitlab.freedesktop.org/drm/intel/issues/8347
Build changes
-------------
* CI: CI-20190529 -> None
* IGT: IGT_7259 -> IGTPW_8819
* Piglit: piglit_4509 -> None
CI-20190529: 20190529
CI_DRM_13027: 9e1eb302fc69b5d8dc662f1ce7ed8684e87c5751 @ git://anongit.freedesktop.org/gfx-ci/linux
IGTPW_8819: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/index.html
IGT_7259: 3d3a7f1c041d3f8d84d7457abf96adef0ea071cb @ https://gitlab.freedesktop.org/drm/igt-gpu-tools.git
piglit_4509: fdc5a4ca11124ab8413c7988896eec4c97336694 @ git://anongit.freedesktop.org/piglit
== Logs ==
For more details see: https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_8819/index.html
[-- Attachment #2: Type: text/html, Size: 11917 bytes --]
^ permalink raw reply [flat|nested] 4+ messages in thread
* Re: [igt-dev] [PATCH i-g-t] scripts/verify-blacklist: Handle multiple given blacklists
2023-04-18 19:06 [igt-dev] [PATCH i-g-t] scripts/verify-blacklist: Handle multiple given blacklists Kamil Konieczny
2023-04-18 21:22 ` [igt-dev] ✓ Fi.CI.BAT: success for " Patchwork
2023-04-19 2:27 ` [igt-dev] ✓ Fi.CI.IGT: " Patchwork
@ 2023-04-19 6:20 ` Mauro Carvalho Chehab
2 siblings, 0 replies; 4+ messages in thread
From: Mauro Carvalho Chehab @ 2023-04-19 6:20 UTC (permalink / raw)
To: Kamil Konieczny, igt-dev; +Cc: Petri Latvala
On 4/18/23 21:06, Kamil Konieczny wrote:
> From: Petri Latvala <petri.latvala@intel.com>
>
> Also change the message for useless entry to not say blacklist; this
> script is incidentally useful for checking testlist files too.
LGTM.
Reviewed-by: Mauro Carvalho Chehab <mchehab@kernel.org>
>
> Cc: Petri Latvala <adrinael@adrinael.net>
> Cc: Mauro Carvalho Chehab <mauro.chehab@linux.intel.com>
> Signed-off-by: Petri Latvala <petri.latvala@intel.com>
> Signed-off-by: Kamil Konieczny <kamil.konieczny@linux.intel.com>
> ---
> scripts/verify-blacklist.sh | 40 +++++++++++++++++++++----------------
> 1 file changed, 23 insertions(+), 17 deletions(-)
>
> diff --git a/scripts/verify-blacklist.sh b/scripts/verify-blacklist.sh
> index 93dca495b..05383f13f 100755
> --- a/scripts/verify-blacklist.sh
> +++ b/scripts/verify-blacklist.sh
> @@ -3,21 +3,23 @@
> # Verify that all entries in a blacklist file are still valid
>
> usage() {
> - echo "Usage: $0 <path-to-igt-runner> <test-binary-directory> <blacklist-file>"
> + echo "Usage: $0 <path-to-igt-runner> <test-binary-directory> <blacklist-files ...>"
> echo
> echo " path-to-igt-runner: For example build/runner/igt_runner"
> echo " test-binary-directory: For example build/tests"
> - echo " blacklist-file: For example tests/intel-ci/blacklist.txt"
> + echo " blacklist-files: For example tests/intel-ci/blacklist.txt"
> exit 2
> }
>
> -if [ $# -ne 3 ]; then
> +if [ $# -lt 3 ]; then
> usage
> fi
>
> RUNNER="$1"
> -BINDIR="$2"
> -BLFILE="$3"
> +shift
> +BINDIR="$1"
> +shift
> +BLFILES="$*"
>
> if [ ! -x "$RUNNER" ]; then
> echo "$RUNNER not found"
> @@ -31,24 +33,28 @@ if [ ! -f "$BINDIR/test-list.txt" ]; then
> usage
> fi
>
> -if [ ! -f "$BLFILE" ]; then
> - echo "$BLFILE not found"
> - echo
> - usage
> -fi
> +for BLFILE in $BLFILES; do
> + if [ ! -f "$BLFILE" ]; then
> + echo "$BLFILE not found"
> + echo
> + usage
> + fi
> +done
>
> STATUS=0
>
> TESTLIST="$("$RUNNER" --list-all "$BINDIR")"
>
> -cat "$BLFILE" | while read line; do
> - blentry=$(echo "$line" | sed 's/#.*//' | tr -d '[:space:]')
> - if [ "$blentry" = "" ]; then continue; fi
> +for BLFILE in $BLFILES; do
> + cat "$BLFILE" | while read line; do
> + blentry=$(echo "$line" | sed 's/#.*//' | tr -d '[:space:]')
> + if [ "$blentry" = "" ]; then continue; fi
>
> - if ! (echo "$TESTLIST" | grep -Pq "$blentry") >/dev/null 2>/dev/null; then
> - echo Useless blacklist entry: "$blentry"
> - STATUS=1
> - fi
> + if ! (echo "$TESTLIST" | grep -Pq "$blentry") >/dev/null 2>/dev/null; then
> + echo "$BLFILE: Useless entry: $blentry"
> + STATUS=1
> + fi
> + done
> done
>
> exit $STATUS
^ permalink raw reply [flat|nested] 4+ messages in thread
end of thread, other threads:[~2023-04-19 6:21 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-04-18 19:06 [igt-dev] [PATCH i-g-t] scripts/verify-blacklist: Handle multiple given blacklists Kamil Konieczny
2023-04-18 21:22 ` [igt-dev] ✓ Fi.CI.BAT: success for " Patchwork
2023-04-19 2:27 ` [igt-dev] ✓ Fi.CI.IGT: " Patchwork
2023-04-19 6:20 ` [igt-dev] [PATCH i-g-t] " Mauro Carvalho Chehab
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox